Subject: bug#10138: emacs 23.3 does not compile on mac os x 10.7.2

From: George Papadimitriou <[email-masked]>
Date: Fri, 25 Nov 2011 07:37:18 -0700

Dear list members,

I bought a mac book pro two days ago and I am trying to install
emacs on it. I am using the latest emacs version 23.3.
I have also install the Xcode 4.2.1 version.
An example of the error message is the following:

13 LC_LOAD_DYLIB          56
14 LC_LOAD_DYLIB          56
15 LC_LOAD_DYLIB          56
16 LC_LOAD_DYLIB          56
17 LC_LOAD_DYLIB          56
18 LC_LOAD_DYLIB          56
19 LC_LOAD_DYLIB          64
20 LC_LOAD_DYLIB          56
21 unknown                16
0x7fd7b15fc080 (sz:   0x3f2d/  0x3f30)
0x7fd7b1500000 (sz:  0xfc075/ 0xfc080)
0x7fd7b29fc080 (sz:   0x3f2d/  0x3f30)
0x7fd7b2900000 (sz:  0xfc06f/ 0xfc080)
0x7fd7b16fc080 (sz:   0x3f2d/  0x3f30)
0x7fd7b1600000 (sz:  0xfc080/ 0xfc080)
0x7fd7b28fc080 (sz:   0x3f2c/  0x3f30)
0x7fd7b2800000 (sz:  0xfc080/ 0xfc080)
0x7fd7b27f8000 (sz:   0x6e50/  0x7fa8)
0x7fd7b2000000 (sz: 0x6e1e21/0x7f8000)
0x10d43e000 (sz:        0/  0x1000)
--- Load Commands written to Output File ---
Writing segment __PAGEZERO       @        0 (       0/0x100000000 @
 0)
Writing segment __TEXT           @        0 (0x1e4000/0x1e4000 @
0x100000000)
Writing segment __DATA           @ 0x1e4000 (0x30f000/0x30f000 @
0x1001e4000)
        section __program_vars   at 0x1e4000 - 0x1e4028 (sz:     0x28)
unexec: unrecognized section name in __DATA segment
make[1]: *** [bootstrap-emacs] Error 1
make: *** [src] Error 2

Similar problems appear with older emacs versions.

Any input (in detail please) that can cure the problem is welcome.

Thank you,

George